CC = g++

TARGET = test_queue

LIBS = -lpthread

CFLAGS = -Wall -std=c++0x

DEPS = Message.h MessageQueue.h $(TARGET).cpp

.PHONY: default all clean

default: $(TARGET)
all: default

$(TARGET): $(DEPS)
	$(CC) $(CFLAGS) -o $@ $(DEPS) $(LIBS)

clean:
	-rm -f $(TARGET)
